This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 200499 - Review Request: <btsco-kmod-common>
Review Request: <btsco-kmod-common>
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks: 200498
  Show dependency treegraph
 
Reported: 2006-07-28 03:51 EDT by Daniel Rindt
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-25 11:10:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
BTSCO init script (944 bytes, text/plain)
2006-11-10 05:31 EST, Eric Work
no flags Details

  None (edit)
Description Daniel Rindt 2006-07-28 03:51:20 EDT
Spec URL: http://daniel.rindt.name/fileadmin/download/fedora/SPECS/btsco-kmod-common.spec
SRPM URL: http://daniel.rindt.name/fileadmin/download/fedora/SRPMS/btsco-kmod-common-0.42-1.src.rpm
Description: This RPM contains the common parts belonging to the btsco kernel module. It
provides a way to use a bluetooth headset with Linux.
Comment 1 Parag AN(पराग) 2006-08-02 04:47:17 EDT
Mock build for rawhide i386 is failed.

aclocal:configure.in:44: warning: macro `AM_PATH_ALSA' not found in library
configure.in:44: error: possibly undefined macro: AM_PATH_ALSA
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.

  
Comment 2 Parag AN(पराग) 2006-08-02 04:59:32 EDT
Package is missing 3 more BRs
Add libtool,automake,alsa-lib-devel to BuildRequires

and update package
Comment 3 Parag AN(पराग) 2006-08-02 05:06:08 EDT
As per given in kernel module packaging guidelines
MUST items present are
MUST: This package have the belonging kernel-module with something like
'Requires: %{name}- kmod = %{version}'

MUST: This package have its name as  %{name}-kmod-common 
Comment 5 Parag AN(पराग) 2006-08-04 01:00:39 EDT
rpmlint is not silent
W: btsco-kmod-common incoherent-version-in-changelog 0.42.fc5.2 0.42-2.fc6
Your last entry in %changelog contains a version that is not coherent with
the current version of your package.

You Changelog entries are wrong. Change 0.42.fc5.1 to 0.42.1.fc5 and 0.42.fc.2
to 0.42.2.fc5

E: btsco-kmod-common zero-length /usr/share/doc/btsco-kmod-common-0.42/NEWS
E: btsco-kmod-common zero-length /usr/share/doc/btsco-kmod-common-0.42/ChangeLog
E: btsco-kmod-common zero-length /usr/share/doc/btsco-kmod-common-0.42/AUTHORS
if there is no content in all above 3 files then rpmlint will show error
Comment 6 Jason Tibbitts 2006-08-04 11:29:10 EDT
Note that FESCo needs to approve this module before reviews begin, and before
that can happen we need several pieces of information, including a statement
from the upstream developer as to why this is not in the main kernel tree and
when it is planned to be added.  Please see
http://fedoraproject.org/wiki/Packaging/KernelModules for more information.
Comment 7 Daniel Rindt 2006-08-27 06:09:33 EDT
the reason why it isnt in the mainline kernel included yet is that the code is
still beta and in heavy development.
Comment 8 Parag AN(पराग) 2006-09-30 02:51:46 EDT
If you are still willing to submit this package, upload new version of this
package. I got following rpmlint output

Review on this package =>

On SRPM i got
W: btsco-kmod-common mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

=>USE sed -i -e 's|\t| |g' on SPEC file

on RPM i got
W: btsco-kmod-common incoherent-version-in-changelog 0.42.fc5.2 0.42-2.fc6
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

=> update Changelog entry 

E: btsco-kmod-common zero-length /usr/share/doc/btsco-kmod-common-0.42/NEWS
E: btsco-kmod-common zero-length /usr/share/doc/btsco-kmod-common-0.42/ChangeLog
E: btsco-kmod-common zero-length /usr/share/doc/btsco-kmod-common-0.42/AUTHORS

=>Remove files in SPEC if they are zero-length files
Comment 9 Eric Work 2006-11-10 05:31:00 EST
Created attachment 140877 [details]
BTSCO init script

Here is an init script I made to get btsco running and also saves the alsa
mixer values.  You just need to create the file /etc/sysconfig/btsco with the
line:

BTADDR="XX:XX:XX:XX:XX:XX"

I thought this might be nice to add to your package.
Comment 10 Kevin Fenzi 2006-12-31 16:28:31 EST
It appears that btsco is depreciated now... 
the new 'plugz' bluetooth-alsa project no longer requires a kernel module. 

See: 
http://bluetooth-alsa.sourceforge.net/history.html

Perhaps this should be closed now?
Might you consider packaging the new 'plugz' and 'sbc' packages?
Comment 12 Warren Togami 2007-01-25 11:10:03 EST
Closing due to Comment #10.  Please consider packaging the new software instead
of this.

Note You need to log in before you can comment on or make changes to this bug.